Name: kde4-splash-mga
Summary: Mageia KDE4 Splash Screen
Version: 1
Release: %mkrel 2
License: GPLv3
URL: http://svnweb.mageia.org/soft/kde4-splash-mga
Group: Graphical desktop/KDE
# Tarball is generated from the svn
# svn export svn+ssh://svn.mageia.org/svn/soft/kde4-splash-mga/trunk kde4-splash-mga-%{version}
# tar -caf kde4-splash-mga-%{version}.tar.xz kde4-splash-mga-%{version}
Source: %{name}-%{version}.tar.xz
BuildRequires: kdelibs4-devel
Obsoletes: kde4-splash-mdv

%description
Mageia Splash Screen for KDE4.


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING VERSION
%_kde_bindir/ksplash
%_kde_bindir/%{name}
%_kde_servicetypes/ksplashplugin.desktop
%_kde_services/%{name}.desktop

#-------------------------------------------------------------------------------

%prep 
%setup -q

%build 
%cmake_kde4 
%make

%install
%__rm -rf %{buildroot} 
%makeinstall_std -C build

# Add a symlink because ksplashthememgr is looking for a binary named ksplash
# cf line 560 of kdebase-workspace-4.6.1/ksplash/kcm/installer.cpp
ln -s %{_bindir}/kde4-splash-mga %{buildroot}%{_bindir}/ksplash

%find_lang %name

%clean 
%__rm -rf %{buildroot} 


%changelog
* Thu Mar 31 2011 mikala <mikala> 1-2.mga1
+ Revision: 79277
- Add a symlink between kde4-splash-mga and ksplash since ksplashthememgr is looking for this binary
- Add obsolete for kde4-splash-mdv

* Thu Mar 31 2011 mikala <mikala> 1-1.mga1
+ Revision: 79222
- imported package kde4-splash-mga

